import org.jetbrains.kotlin.gradle.tasks.KotlinCompile

plugins {
    java
    kotlin("jvm") version "1.3.0"
}

repositories {
    jcenter()
    google()
}

val android_gradle_plugin_version = "3.2.1"
val kotlin_version = "1.3.0"

dependencies {
    implementation("com.android.tools.build:gradle:$android_gradle_plugin_version")
    implementation("com.android.tools.build:gradle-api:$android_gradle_plugin_version")
    implementation("org.jetbrains.kotlin:kotlin-stdlib-jdk8:$kotlin_version")
}

tasks.withType<KotlinCompile> {
    kotlinOptions {
        jvmTarget = "1.8"
    }
}
