import kotlin.String

/**
 * Find which updates are available by running
 *     `$ ./gradlew syncLibs`
 * This will only update the comments.
 *
 * YOU are responsible for updating manually the dependency version. */
object Versions {
    const val appcompat: String = "1.0.0" 

    const val constraintlayout_solver: String = "1.1.3" 

    const val espresso_core: String = "3.1.0" 

    const val androidx_test_core: String = "1.0.0" 

    const val androidx_test_runner: String = "1.1.0" 

    const val aapt2: String = "3.2.1-4818971" 

    const val com_android_tools_build_gradle: String = "3.2.1" 

    const val lint_gradle: String = "26.2.1" 

    const val jackson_module_kotlin: String = "2.9.7" 

    const val shadow: String = "4.0.2" 

    const val com_github_johnrengelman_shadow_gradle_plugin: String = "4.0.2" 

    const val material: String = "1.0.0" 

    const val jmfayard_github_io_gradle_kotlin_dsl_libs_gradle_plugin: String = "0.2.6" 

    const val org_jetbrains_kotlin: String = "1.3.0" 

    const val org_junit_jupiter: String = "5.3.1" 

    /**
     *
     *   To update Gradle, edit the wrapper file at path:
     *      ./gradle/wrapper/gradle-wrapper.properties
     */
    object Gradle {
        const val runningVersion: String = "4.10.2"

        const val currentVersion: String = "4.10.2"

        const val nightlyVersion: String = "5.1-20181103000035+0000"

        const val releaseCandidate: String = "5.0-rc-1"
    }
}
