import org.jetbrains.kotlin.gradle.tasks.KotlinCompile

buildscript {
    repositories {
        mavenCentral()
        jcenter()
    }
    dependencies {
        classpath(Libs.kotlin_gradle_plugin)
        classpath(Libs.shadow)
    }
}

plugins {
    id("com.github.johnrengelman.shadow") version "4.0.2"
    id("application")
    id("kotlin")
}


application {
    group = "com.anthonyciccheti"
    version = "0.1.0"
    mainClassName = "MainKt"
}

repositories {
    mavenCentral()
    google()
    jcenter()
}

dependencies {
    implementation(Libs.kotlin_stdlib_jdk8)
    implementation(project(":common"))
}

tasks.withType<KotlinCompile> {
    kotlinOptions {
        jvmTarget = "1.8"
    }
}

tasks.withType<KotlinCompile> {
    kotlinOptions {
        jvmTarget = "1.8"
    }
}

tasks.named<Delete>("clean") {
    delete(rootProject.buildDir)
}

